logonavy

TWG  |  MacTeX  |  Donate  |  FAQ  |  Fonts  |  Help  |  References  |  Support  |  Acknowledgments  |  TUG




Supported Systems




In 2016, TeX Live for the Macintosh was compiled on Leopard-PPC, Leopard-Intel, and Snow Leopard-Intel. The system then ran on Leopard, Snow Leopard, Lion, Mountain Lion, Mavericks, Yosemite, El Capitan, and Sierra. Because the GUI programs did not support this range of systems, several versions of each GUI app had to be packaged in the install package. Testing became a nightmare. Very few of us even have all of these operating systems. In addition, users on recent systems had to run software compiled on much older machines.

After completing that distribution, the members of the MacTeX support team discussed various ways to bring some order to the process. Eventually, we decided that the proper approach would be to support those versions of OS X for which Apple still provides security patches. Current Apple policy is to support the three most recent versions of OS X. So when the new policy was adopted in 2017, we supported Yosemite, El Capitan, and Sierra, and this year we should be supporting El Capitan, Sierra, and High Sierra.

However, when we compiled TeX Live 2018 on El Capitan, we discovered that the code crashed on two Macintosh models running El Capitan. Last year's TeX Live 2017, compiled on Yosemite, ran on these two machines. The two exceptional models were released in 2007; neither can run Sierra because Apple made them obsolete with that release.

Therefore, we will compile the 2018 binaries on Yosemite rather than El Capitan, and so for 2018 we support four versions of macOS rather than three. We intend to return to the original policy next year.

TeX Live usually appears in spring. Apple conducts its Worldwide Developer Conference, WWDC, in June, where it gives developers their first beta of the next version of OS X. This version is then released in September. The members of the MacTeX working group test this beta as soon as it is released and have always supported it, sometimes by the skin of our teeth.

Thus in practice, our policy is to support the last four versions of the operating system (and in 2018 to support five versions of the system). But Apple system software upgrades are free and Yosemite runs on much older systems. According to Wikipedia, it supports iMacs from Mid 2007 on, MacBooks from 2008 on, the Mac Pro, from 2008 on, and so forth. Thus in practice, we are supporting Macs released in the last ten years.

Previous versions of MacTeX are available for download. These versions are archived at ftp://ftp.tug.org/historic/systems/mactex. In particular, MacTeX-2016 at this site supports Leopard and higher on PPC and Intel.




MacTeX Installer Support
TUG home page; (via Google)